Subject: Re: [PATCH] quickfetch(): Prevent overflow of the rev-list command line

From: Johannes Sixt <[email-masked]>
Date: Thu, 09 Jul 2009 10:51:20 +0200

Johan Herland schrieb:
> Does anybody with Windows/MSYS experience know how this scenario (write() to 
> a terminated process, followed by close()) would play out in msysGit?

The first write() sometimes fails with EPIPE, otherwise it fails with
EINVAL. All subsequent write()s fail with EINVAL. The setting of SIGPIPE
is irrelevant because it is unknown to Windows.

There's precedent already in write_or_die.c. You should not write the
error message for both EPIPE and EINVAL.

-- Hannes